TAAS - Feature #237

GDS Unreported Report
07/09/2023 03:58 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: GDS Unreported Tickets

Description

Coding GDS Unreported Tickets

History

#1 - 09/11/2023 04:23 PM - Anil KV

Solutions:-

1) General
—-Popup the report from Ticket Stock List
*Need a View Details Icon in ticket Stock list - each records
2) GUI Changes
—Remove GDS
-List Group by add 'Action'
-List Columns - Date (Ticket Stock/Issue Date), Airline (Numeric Code), Ticket No, GDS, Current Status, Action (R
eported/Unreported/Reported But GDS Changed), Branch
3) SQL
SELECT supd.vhr_supp_doc_no,
supd.sin_gds_company,
COALESCE (supd.dat_issue, supd.dat_cancel, NULL) AS dat_date,
(jsn_related_data->'AIR_NUM_CODE') : :VARCHAR AS vhr_airline_num_code,
'Reported' AS vhr_action
FROM service.tbl_supp_doc_no AS supd
WHERE supd.vhr_supp_doc_no SIMILAR TO '[0-9]*'
AND supd.vhr_supp_doc_no::BIGINT BETWEEN 233444 AND 233695
AND supd.sin_supp_doc_category = 1
AND supd.sin_last_action != 0
= In -G8
* Input start and end based all tickets(Model) keep a list - Ticket No, Status/()
* loop the sgl and change the LIST item(ticket no base find and change)

#2 - 09/11/2023 05:27 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 12/09/2023 03:34 PM - Anil KV

- Assignee changed from travvise Admin to Shahil Haris

#4 - 01/02/2024 06:09 PM - Anil KV

- Assignee changed from Shabhil Haris to travvise Admin

#5 - 01/13/2024 10:52 AM - unnikannan S
ISSUE FOUNDED

1.CORRECT THE ALLIGMENT OF UP/DOWN SCROLL OPTION IN Ul WHILE SEARCH
2.SHOW ITEMS ON GRID UNRPORTED,REPORTED,TOTAL (COUNT OF TICKET NO)
#6 - 01/23/2024 10:32 AM - Anil KV

- Assignee changed from travvise Admin to Vivekp V

#7 - 03/07/2024 02:52 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

#8 - 07/12/2024 04:32 PM - Junaid M
- Assignee changed from Vivekp V to Meljo Sunny

#9 - 07/12/2024 04:55 PM - Meljo Sunny
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#10 - 07/13/2024 12:28 PM - Junaid M
- Subject changed from GDS Unreported Tickets to GDS Unreported Report

#11 - 08/03/2024 02:42 PM - Meljo Sunny
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#12 - 08/09/2024 10:20 AM - Arathy PS
- Status changed from Coding Done to Testing Started

#13 - 08/10/2024 12:47 PM - Arathy PS

- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Arathy PS

ISSUE FOUNDED

1)IN MANUAL TYPE TICKET STOCK SHOW THE CORRESPONDING AIRLINE
2)DISABLE THE SUPPLIER CODE FIELD ON GDS STOCK SEARCH POP UP UPON SEARCHING

THE NUMBER RANGE FIELD GETS DISABLED AFTER SEARCHING AND THEN CLICKING THE PRINT BUTTON, it becomes enabled

)
3)
4)MAKE THE COLUMN CHOOSER NUMBER CORRECT
5)VALIDATE IF THE DATE FIELD IS EMPTY

#14 - 08/26/2024 12:04 PM - Meljo Sunny
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#15 - 08/26/2024 05:28 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Arathy PS to unnikannan S

ISSUE FOUNDED
1.Fix The Error While Adding Letters Directly And Search
#16 - 08/27/2024 10:01 AM - Meljo Sunny

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 09/06/2024 12:54 PM - Arathy PS
- File clipboard-202409061250-nmsjq.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#18 - 09/06/2024 12:56 PM - Arathy PS
- File deleted (clipboard-202409061250-nmsjq.png)

#19 - 09/06/2024 12:56 PM - Arathy PS
ISSUE FOUND

Action type not showing in the print

#20 - 09/06/2024 02:06 PM - Meljo Sunny
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#21 - 09/26/2024 06:09 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

Partially range data not found

#22 - 10/02/2024 10:28 AM - Anonymous

- Assignee changed from Meljo Sunny to Sreeranjini T

#23 - 10/09/2024 02:24 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 10/21/2024 04:12 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Data appearing in two pages with repeated ticket numbers.

#25 - 10/22/2024 02:35 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 11/27/2024 01:58 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
